[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Plans for GTK+

There are some news about GTK+ packages, and this relates to both GNOME
and the debian-installer. I'll try to sum them up here. Please note that
this is only a proposal, which is meant to be discussed.

I. The past

Until now, the graphical installer has been using a specially patched
GTK+ version, built on top of version 2.0.9, so that it can use DirectFB
as a backend. This had two major drawbacks: the debian-installer team
had to handle them without knowing much about GTK+ packaging, and the
version was completely outdated.

II. The present

The DirectFB backend has finally been integrated upstream into GTK+, in
the 2.9 development branch. However, the GNOME team is very reluctant to
package a development branch in unstable. Furthermore, GTK+ 2.9/2.10
introduces an ABI break which makes it binary-incompatible with theme
engines and IM modules, and source-incompatible with libgnomeui < 2.15.

Following a decision that happened around Debconf, Attilio Fiandrotti
and Eddy Petrişor have produced a patch that backports DirectFB supports
into GTK+ 2.8.18 (the current version in unstable) without affecting the
X11 build at all. It still requires libcairo 1.1 which is also a
development version. I have integrated this patch into GTK+ packages and
Eddy then produced a working graphical d-i image.

Tonight, those libcairo and gtk+2.0 packages are entering experimental.

III. The future

From now on, the d-i team will be able to work on the installer, basing
their work on these experimental packages. However this is not enough to
produce a release.

In the next days, the stable 1.2 branch of libcairo should be released.
I hope this will allow to move the cairo udebs to unstable soon. Then,
synchronizing with the d-i team because it breaks former g-i packages,
we'll move the GTK+ udebs to unstable.

Sometime during summer, GTK+ 2.10 should be released, with integrated
DirectFB support. At that moment, we will upload it to experimental,
together with gtk2-engines 2.9/2.10 and libgnomeui 2.15. This will also
be the time for IM modules packages to be rebuilt.

IV. The release

After that, we will follow how GNOME 2.16 (which is due to be released
in september) goes, and we will have several options depending on it.
     1. Release with GTK+ 2.8. I'm not very happy with it as it will be
        already outdated at the time of the release. Sébastien Bacher
        (GTK+ maintainer) isn't happy with it either as we will not have
        upstream support for the DirectFB part.
     2. Release with GTK+ 2.10 and some parts of GNOME 2.16 (at least
        the library stack up to libgnomeui).
     3. Try to push most of GNOME 2.16 into etch. This is the best
        option but it requires a lot of work from the GNOME team, and
        also some from the buildd maintainers and FTP masters. Hopefully
        the situation will be better than that of GNOME 2.14 because we
        don't change the gstreamer version.

Comments, anyone?
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom

Attachment: signature.asc
Description: Ceci est une partie de message =?ISO-8859-1?Q?num=E9riquement?= =?ISO-8859-1?Q?_sign=E9e?=

Reply to: